Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Dumpable_Ptr Class Reference

A smart pointer stored in the in-memory object database ACE_ODB. The pointee (if any) is deleted when reassigned. More...

`#include <Dump.h>`

Collaboration diagram for ACE_Dumpable_Ptr:

[legend]
List of all members.

## Public Member Functions
| ACE_Dumpable_Ptr (const ACE_Dumpable *dumper=0)
const ACE_Dumpable * | operator-> () const
void | operator= (const ACE_Dumpable *dumper) const
## Private Attributes
const ACE_Dumpable * | dumper_

## Detailed Description

A smart pointer stored in the in-memory object database ACE_ODB. The pointee (if any) is deleted when reassigned.

## Constructor & Destructor Documentation

ACE_Dumpable_Ptr::ACE_Dumpable_Ptr | ( | const ACE_Dumpable * | dumper = `0` | ) |

## Member Function Documentation

const ACE_Dumpable * ACE_Dumpable_Ptr::operator-> | ( |  | ) | const

void ACE_Dumpable_Ptr::operator= | ( | const ACE_Dumpable * | dumper | ) | const

## Member Data Documentation

const ACE_Dumpable* ACE_Dumpable_Ptr::dumper_`[private]`

| "Real" pointer to the underlying abstract base class pointer that does the real work.

The documentation for this class was generated from the following files:

- Dump.h
- Dump.cpp